%define name colorwheel
%define version 2.2.0
%define release %mkrel 1

Summary:   ColorWheel Harmony
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   Freeware
Group:     Graphics
URL:       http://www.colorwheelharmony.com/index.html
Source0:   http://www.colorwheelharmony.com/download.html/%{name}-harmony-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires:  desktop-file-utils
Requires: java >= 1.6


%description
ColorWheel Harmony is a full featured application based on the 
artists' color wheel that allows you to create great looking 
combinations of colors in accordance with color theory.

It provides a rich set of productivity tools including image 
color picker, color matching system, universal color language, 
and more. This is software for web designers, interior designers, 
decorators, artists, etc.


%prep
%setup -q -n %{name}-harmony-%{version}


%build


%install
rm -rf %{buildroot}
install -dm 777 %{buildroot}%{_libdir}/%{name}
install -m 777 *.jar %{buildroot}%{_libdir}/%{name}
install -dm 777 %{buildroot}%{_libdir}/%{name}/lib
install -m 777 lib/*.jar %{buildroot}%{_libdir}/%{name}/lib
cp -a {*.html,*.txt,*.dat} %{buildroot}%{_libdir}/%{name}

# launcher
mkdir -m0755 %{buildroot}%{_bindir}
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/bash
cd %{_libdir}/colorwheel/
(java -jar "colorwheel_harmony.jar" &)
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ColorWheel
Comment=Artist color wheel productivity tool
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

# icon 
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 *.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48x48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}
%{_bindir}/%{name}


%changelog
* Sun Feb 02 2014 Ken <lxgator at gmail.com> 2.2.0-1pclos2014
- Initial pkg
